### Method

# Gtk Accessible update_state_value

#### Declaration [src]

    void
    gtk_accessible_update_state_value (
      GtkAccessible* self,
      int n_states,
      GtkAccessibleState* states,
      const GValue* values
    )

#### Description [src]

Updates an array of accessible states.

This function should be called by `GtkWidget` types whenever an accessible state change must be communicated to assistive technologies.

This function is meant to be used by language bindings.

#### Parameters

`n_states` | `int`
| The number of accessible states to set.
`states` | An array of `GtkAccessibleState`
| An array of `GtkAccessibleState`.
| The length of the array is specified in the `n_states` argument.
| The data is owned by the caller of the function.
`values` | An array of `GValue`
| An array of `GValues`, one for each state.
| The length of the array is specified in the `n_states` argument.
| The data is owned by the caller of the function.